﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using EF_CodeFirst_Insert_Razor_Core.Models;

namespace EF_CodeFirst_Insert_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        public Customers Customer { get; set; }

        public void OnGet()
        {           
        }

        public void OnPostSubmit(Customers customer)
        {
            using (CodeFirstContext context = new CodeFirstContext())
            {
                context.Customers.Add(customer);
                context.SaveChanges();

                //Fetch the returned CustomerId.
                int id = customer.CustomerId;

                this.Customer = customer;
            }
        }
    }
}